Page MenuHomePhabricator

Implement hybrid mode for change dispatcher, which uses both wb_items_per_site and wb_changes_subscription.
Closed, ResolvedPublic

Description

Client wikis that have useLegacyChangesSubscription=false can be serviced using wb_changes_subscription, while other client wikis need to be serviced the old way, using wb_items_per_site. It's probably best to use a union of the info from both tables, until we are confident that we can rely on wb_changes_subscription alone.

NOTE: update migration instructions in usagetracking-migration.wiki to mention configuration of the hybrid mode.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterHook up subscription lookup based on settings.
mediawiki/extensions/Wikibase : masterIntroduce SqlSubscriptionLookup

Event Timeline

daniel created this task.Feb 25 2015, 6:41 PM
daniel raised the priority of this task from to High.
daniel updated the task description. (Show Details)
daniel added subscribers: Liuxinyu970226, daniel, Aklapper and 3 others.
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.Mar 2 2015, 1:45 PM

I will not get around to this, push to next sprint.

daniel updated the task description. (Show Details)Mar 24 2015, 5:55 PM

Change 202386 had a related patch set uploaded (by Daniel Kinzler):
Hook up subscription lookup based on settings.

https://gerrit.wikimedia.org/r/202386

Change 202372 had a related patch set uploaded (by Daniel Kinzler):
Introduce SqlSubscriptionLookup

https://gerrit.wikimedia.org/r/202372

Change 202372 merged by jenkins-bot:
Introduce SqlSubscriptionLookup

https://gerrit.wikimedia.org/r/202372

daniel closed this task as Resolved.Apr 10 2015, 2:10 PM
daniel moved this task from Review to Done on the Wikidata-Sprint-2015-04-07 board.

Change 202386 merged by jenkins-bot:
Hook up subscription lookup based on settings.

https://gerrit.wikimedia.org/r/202386